
//////////////////////////////////////////////////
//  ASE Data Access Components
//  Copyright © 2008-2014 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I ASEDac.inc}
unit ASEParserUni;

{$ENDIF}

interface

uses
  Classes, CRTypes, CRParser;

const
  lxASEFirst = 1000;
  lxGO   = lxASEFirst;

type
  TASEParser = class(TSQLParser)
  protected
    procedure InitParser; override;
  end;

implementation

var
  ASEKeywordLexems: TIntValueStringList;

{ TASEParser }

procedure TASEParser.InitParser;
begin
  inherited;

  FKeywordLexems := ASEKeywordLexems;
end;

initialization
  ASEKeywordLexems := TIntValueStringList.Create;
  ASEKeywordLexems.Assign(SQLKeywordLexems);
  ASEKeywordLexems.Add('GO', lxGO);
  ASEKeywordLexems.Sort;

finalization
  ASEKeywordLexems.Free;

end.
